import PsychTestQuestion from "../../components/PsychTestQuestion";
import React, { useState } from "react";

const PsychTest = () => {
    const [answers, setAnswers] = useState({
        first: 0,
        second: 0,
        third: 0,
    });

    // TODO: Может как-то изменить, а то я сидел и тупил
    const answerChangeHandler = (answer, account) => {
        if (account == "first") {
            setAnswers((previous) => ({
                ...previous,
                first: answer,
            }));
        } else if (account == "second") {
            setAnswers((previous) => ({
                ...previous,
                second: answer,
            }));
        } else if (account == "third") {
            setAnswers((previous) => ({
                ...previous,
                third: answer,
            }));
        }
    };

    const submitHandler = (event) => {
        event.preventDefault();
        console.log(answers);
    };

    return (
        <div>
            <h1>Название теста</h1>
            <form onSubmit={submitHandler}>
                <PsychTestQuestion
                    name="Название вопроса 1"
                    account="first"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 2"
                    account="second"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 3"
                    account="third"
                    onChangeAnswer={answerChangeHandler}
                />
                <button type="submit">Отправить</button>
            </form>
        </div>
    );
};

export default PsychTest;
